Debian Bug report logs - #139387
ITA: giflib -- shared library for GIF images

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Thu, 21 Mar 2002 20:33:03 UTC

Severity: normal

Fixed in version giflib/3.0-7

Done: Pawel Wiecek <coven@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#139387; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: O: giflib -- shared library for GIF images
Date: Thu, 21 Mar 2002 21:20:48 +0100
Package: wnpp
Severity: normal

The current maintainer of giflib, Larry Daffner, has orphaned this
package.  If you want to be the new maintainer, please take it --
retitle this bug from 'O:' to 'ITA:', fix the outstanding bugs and
upload a new version with your name in the Maintainer: field and a

   * New maintainer (Closes: #thisbug)

in the changelog so this bug is closed.


Some information about this package:

Package: giflib3g
Priority: extra
Section: non-free/libs
Installed-Size: 84
Maintainer: Larry Daffner <vizzie@airmail.net>
Architecture: i386
Source: giflib
Version: 3.0-6
Replaces: libungif3g
Depends: libc6 (>= 2.2.2-2), xlibs (>= 4.0.1-11)
Conflicts: libgif3g, libgif2, libungif3g
Filename: pool/non-free/g/giflib/giflib3g_3.0-6_i386.deb
Size: 22314
MD5sum: b23e8e443cb2a77cda24f62220402319
Description: shared library for GIF images (runtime lib)
 This is a shared library for working with GIF images.
 .
 The Graphics Interchange Format(c) specification is the copyrighted
 property of CompuServe Incorporated.  Unfortunately, it used LZW
 compression for compressed GIFs, which is covered by a patent held
 by Unisys.  As this package existed before UniSys's lawyeritis attack
 of New Years' Day 1995, it is grandfathered in under their license
 terms and you do not have to pay fees for using it.
 .
 Alternatively, you may choose to install the libungif package which
 is available in the main Debian distribution.  The libungif package
 is a variant of giflib with the offending patented LZW compression
 code snipped out, so it can only save uncompressed GIFs.



> I only have 2 packages, giflib, which hasn't been updated in a long
> time for philosophical reasons, but I couldn't get enough momentum
> to get removed, and xscreensaver. Someone please give them good
> homes.


-- 
Martin Michlmayr
tbm@cyrius.com



Changed Bug title. Request was from "Pawel Wiecek" <coven@vmh.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Pawel Wiecek <coven@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 139387-close@bugs.debian.org (full text, mbox):

From: Pawel Wiecek <coven@debian.org>
To: 139387-close@bugs.debian.org
Subject: Bug#139387: fixed in giflib 3.0-7
Date: Tue, 09 Apr 2002 10:32:19 -0400
We believe that the bug you reported is fixed in the latest version of
giflib, which is due to be installed in the Debian FTP archive:

giflib-bin_3.0-7_i386.deb
  to pool/non-free/g/giflib/giflib-bin_3.0-7_i386.deb
giflib3g-dev_3.0-7_i386.deb
  to pool/non-free/g/giflib/giflib3g-dev_3.0-7_i386.deb
giflib3g_3.0-7_i386.deb
  to pool/non-free/g/giflib/giflib3g_3.0-7_i386.deb
giflib_3.0-7.diff.gz
  to pool/non-free/g/giflib/giflib_3.0-7.diff.gz
giflib_3.0-7.dsc
  to pool/non-free/g/giflib/giflib_3.0-7.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 139387@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pawel Wiecek <coven@debian.org> (supplier of updated giflib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  9 Apr 2002 14:22:35 +0200
Source: giflib
Binary: giflib-bin giflib3g-dev giflib3g
Architecture: source i386
Version: 3.0-7
Distribution: unstable
Urgency: low
Maintainer: Pawel Wiecek <coven@debian.org>
Changed-By: Pawel Wiecek <coven@debian.org>
Description: 
 giflib-bin - programs to convert GIF images
 giflib3g   - shared library for GIF images (runtime lib)
 giflib3g-dev - shared library for GIF images (development files)
Closes: 133331 139387
Changes: 
 giflib (3.0-7) unstable; urgency=low
 .
   * New maintainer (closes: #139387)
   * Upgraded to current standards version (closes: #133331)
Files: 
 15f66b889156c9cb357dcbcdf70f16d3 609 non-free/graphics extra giflib_3.0-7.dsc
 04768daf218b9726ed578199528ee700 4070 non-free/graphics extra giflib_3.0-7.diff.gz
 c372619a9697b2f13ac03306f698d5ef 22354 non-free/graphics extra giflib3g_3.0-7_i386.deb
 55bb93d7f113c6aa170d21c7dd440d87 23042 non-free/graphics extra giflib3g-dev_3.0-7_i386.deb
 b9225a22c3700989b6c643f05c83fa81 116192 non-free/graphics extra giflib-bin_3.0-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8svLrBOdjEO/Bh3ARAgNXAJ9VW375hdmXrmk29EH+G47sp3pdGACdECFq
MNgZxrD5VX6XGMMZ6SmnaRo=
=DlBd
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:32:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.